Set additional items
curl --request POST \
--url https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/additional-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "084b80ef-d16d-4531-a25f-40b7ff4c744b",
"quantity": 1
}
],
"shipmentId": null
}
'import requests
url = "https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/additional-items"
payload = {
"items": [
{
"id": "084b80ef-d16d-4531-a25f-40b7ff4c744b",
"quantity": 1
}
],
"shipmentId": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{id: '084b80ef-d16d-4531-a25f-40b7ff4c744b', quantity: 1}],
shipmentId: null
})
};
fetch('https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/additional-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}{
"message": "Subscription not found"
}{
"message": "Your next shipment is being processed — additional items can't be changed until it's completed."
}Subscriptions
Set additional items
Add or replace additional one-off items on the subscription’s next shipment. Sending an empty items array removes the additional items (for the given shipment if a shipment_id is supplied). Additional items cannot be changed while the next shipment is being processed.
POST
/
account
/
subscriptions
/
{subscriptionId}
/
additional-items
Set additional items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.
Path Parameters
Subscription ID
Body
application/json
Response
Additional items updated
The response is of type object.
⌘I

